Bug 98388 - Default kernel crashes, CD kernel works fine?
Default kernel crashes, CD kernel works fine?
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-02 01:28 EDT by Need Real Name
Modified: 2007-04-18 12:55 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2003-07-02 01:28:43 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
CD install from ISOs.  Booted fine off CDs, install went fine, no problems. 
Here is output from a working installation (for reference purposes) --

...
hda: IC35L040AVVA07-0, ATA DISK drive
hdb: WDC AC26400B, ATA DISK drive
hdc: LITE-ON LTR-40125S, ATAPI CD/DVD-ROM drive
hdd: IDE DVD-ROM 16X, ATAPI CD/DVD-ROM drive
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
ide1 at 0x170-0x177,0x376 on irq 15
...

Here is output from the install in question (the non-working one) --

...
hda: WDC AC313000R, ATA DISK drive
hdc: IOMEGA ZIP100 ATAPI, ATAPI floppy drive
hdd: MATSUSHITADVD-ROM SR-8585F, ATAPI CD/DVD-ROM drive
(stall here)

However, the computer will boot fine off the CD into rescue mode.  I even copied
the kernel off the CD and was able to boot the computer fine with that... well
except that it went into the installer. ;)

Version-Release number of selected component (if applicable):
2.4.18-14

How reproducible:
Always

Steps to Reproduce:
1.Boot
2.
3.
    

Actual Results:  Kernel stalled

Expected Results:  Linux should have booted

Additional info:

Computer specs:
AMD K6-2 450mHz
128MB RAM
VIA chipset/PCI Bus Master IDE Controller
Comment 1 Alan Cox 2003-07-05 09:08:47 EDT
The CD kernel has things like ide dma and apm disabled. Try booting the kernel
it installs with the options "apm=off" and "ide=nodma", and report back if that
helps.
Comment 2 Need Real Name 2003-07-07 02:18:14 EDT
I tried using those options, it still stalled at the same place... thanks for
the idea tho. :)
Comment 3 Alan Cox 2003-07-07 03:01:11 EDT
PS: The trick with the installer kernel is to pass it (or set grub to pass it)
the option
root=/dev/??? (where ??? is whatever your root fs is - probably /dev/hda2)
Comment 4 Bugzilla owner 2004-09-30 11:41:14 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.